# mingw-w64-x86_64-gcc-14.1.0-3 to ostatnia wspierana wersja gcc, w której można stosować wildcard'y "*.cpp"
CC     = "C:\\msys64\\mingw64\\bin\\g++.exe"
CFLAGS = -I.
DEPS   = -lglew32 -lglfw3 -lopengl32 -lglu32 -lgdi32
LINK   = -L. -DGLEW_STATIC
OUTPUT = output.exe
CPPSTD = c++17

default:
	$(CC) -g *.cpp $(CFLAGS) $(DEPS) $(LINK) -std=$(CPPSTD) -static -static-libgcc -fno-keep-inline-dllexport -o $(OUTPUT)

run: default
	$(OUTPUT)

clean:
	rm $(OUTPUT)